#!/bin/sh

echo "\nAssurez-vous que caml est installé sur votre système, ainsi que le compilateur ocamlopt; si ce n'est pas le cas, vous pouvez installer le paquet ocaml-native-compilers (tapez entrée pour continuer la compilation).\n"
read reponse
tar -zxvf utilitaires.tar.gz

mv utilitaires/* .
gcc -c dist.c
gcc -c phylip.c
gcc -c neighbor.c
echo "\nCréation de l'utilitaire neighbor."
gcc neighbor.o dist.o -lm phylip.o -o neighbor
gcc -c draw.c
gcc -c draw2.c
gcc -c drawtree.c
gcc -c drawgram.c
echo "\nCréation de l'utilitaire drawgram."
gcc drawgram.o draw.o draw2.o phylip.o -lm -o drawgram
echo "\nCréation de l'utilitaire drawtree."
gcc drawtree.o draw.o draw2.o phylip.o -lm -o drawtree

rm -Rf utilitaires
rm -Rf *.c *.h *.o

echo "\nCréation de l'utilitaire distances."
ocamlopt unix.cmxa distances.ml -cclib -lunix -o distances

rm -Rf distances.o
rm -Rf distances.cmx
rm -Rf distances.cmi

echo "\n   Compilation réussie: vous pouvez lancer la commande ./calcul sur un répertoire contenant les textes à comparer."
